Bug 240479 - Review Request: vavoom - Enhanced Doom, Heretic, Hexen and Strife source port
Review Request: vavoom - Enhanced Doom, Heretic, Hexen and Strife source port
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 15:34 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 18:45:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
mock build log of vavoom-1.23-1 on FC-devel i386 (42.47 KB, text/plain)
2007-05-19 11:04 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Hans de Goede 2007-05-17 15:34:16 EDT
Spec URL: http://people.atrpms.net/~hdegoede/vavoom.spec
SRPM URL: http://people.atrpms.net/~hdegoede/vavoom-1.23-1.fc7.src.rpm
Description:
Vavoom is an enhanced open-source port of Doom. Allowing you to play not only
the classic 3D first-person shooter Doom, but also the Doom derived classics
Heretic, Hexen and Strife. Compared to the original games it adds extra
features such as translucency and freelook support and ofcourse the capability
to play these classics under Linux.
Comment 1 Mamoru TASAKA 2007-05-19 10:56:37 EDT
A couple of questions:

* Location of scripts
  - Do the 4 bash scripts have to be located under %_bindir?
    It seems that these scripts are to be used to download
    some game data and are to be called normally from GNOME
    menu.
    IMO these scripts should be located under %_libexecdir/%name,
    for example. I don't want to have some base directory (such
    as %_bindir) polluted by scripts for temporal use.

* URL
  - Could you specify the URL of the "Source"s (especially 
    of some png files) as possible?
  - Also, could you provide the URL of the licenses of game
    data written on autodlrc files (if I understand autodlrc
    correctly)?
    Rather, can't these autodlrc files be created automatically
    from license text and some other needed information?

Comment 2 Mamoru TASAKA 2007-05-19 11:04:31 EDT
Created attachment 155047 [details]
mock build log of  vavoom-1.23-1 on FC-devel i386

And mockbuild failed on FC-devel i386.

By the way, I would appreciate it if you would review
my review request (bug 240594)
Comment 3 Hans de Goede 2007-05-19 16:25:45 EDT
(In reply to comment #1)
> A couple of questions:
> 
> * Location of scripts
>   - Do the 4 bash scripts have to be located under %_bindir?
>     It seems that these scripts are to be used to download
>     some game data and are to be called normally from GNOME
>     menu.
>     IMO these scripts should be located under %_libexecdir/%name,
>     for example. I don't want to have some base directory (such
>     as %_bindir) polluted by scripts for temporal use.
> 

They are not for temporal use, they invoke autodownloader only once, but after
that they are still needed to pass the necessary magick cmdline options to
vavoom to make it play doom, or heretic or hexen or strife.

And since some people like launching stuff from the cmdline instead of digging
through layers of menus, the should be in %{_bindir} so that people can type
doom-shareware on the cmdline, instead off having to remember to invoke "vavoom
-iwaddir ~/.vavoom/doom-shareware -doom"

Also these scripts do not add any overhead as they end with an exec.

> * URL
>   - Could you specify the URL of the "Source"s (especially 
>     of some png files) as possible?
doom-logo.png was taken from a doom-sharware package created by Wart, you would
have to ask him.

tux-b2f.png was created by my from the well known born to frag tux image.
through the use of gimp to downsize and make it transparent, see:
http://images.google.nl/images?q=tux+born+2+frag

>   - Also, could you provide the URL of the licenses of game
>     data written on autodlrc files (if I understand autodlrc
>     correctly)?

This are the licenses of the to be downloaded files.

The heretic and hexen texts can be founds in the zips downloaded (see autodlrc
files for their url's), and are a verbatim copy and paste except for some
whitespace changes.

The doom license text is a verbatim copy and paste of the debian copyright file:
http://packages.debian.org/changelogs/pool/non-free/d/doom-wad-shareware/doom-wad-shareware_1.9-1.1/doom-wad-shareware.copyright

The latest doom shareware zip no longer includes this text (vendor.doc) I assume
this is an oversight on ID's side.

I don't know where debian got this text from, presumably from an older shareware
version. The text is very similar to the heretic license text and thus seems
genuine to me, I trust Debian on this (no reason not to really).

>     Rather, can't these autodlrc files be created automatically
>     from license text and some other needed information?
> 

Thats possible, but I don't see the use of this, it will just generate a lot of
work to get this right.

(In reply to comment #2)
> Created an attachment (id=155047) [edit]
> mock build log of  vavoom-1.23-1 on FC-devel i386
> 
> And mockbuild failed on FC-devel i386.
> 

Ah, my bad, here is a fixed version:
Spec URL: http://people.atrpms.net/~hdegoede/vavoom.spec
SRPM URL: http://people.atrpms.net/~hdegoede/vavoom-1.23-2.fc8.src.rpm
Comment 4 Mamoru TASAKA 2007-05-20 02:36:12 EDT
Assigning to me.
Comment 5 Mamoru TASAKA 2007-05-20 04:33:26 EDT
Okay.

-----------------------------------------------
   This package (vavoom) is APPROVED by me
-----------------------------------------------
Comment 6 Hans de Goede 2007-05-20 04:47:11 EDT
New Package CVS Request
=======================
Package Name:      vavoom
Short Description: Enhanced Doom, Heretic, Hexen and Strife source port
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel
InitialCC:         <empty>


Comment 7 Hans de Goede 2007-05-21 18:45:32 EDT
Build for FE-6 F-7 and the new devel, closing.
Comment 8 Hans de Goede 2007-10-08 03:43:51 EDT
Package Change Request
======================
Package Name: vavoom
New Branches: F-8
Comment 9 Kevin Fenzi 2007-10-09 00:32:02 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.